Bug 512174

Summary: [LTC 5.5 FEAT] Update spu-tools with maintenance from upstream in RHEL5.5 [201968]
Product: Red Hat Enterprise Linux 5 Reporter: IBM Bug Proxy <bugproxy>
Component: libspe2Assignee: Petr Machata <pmachata>
Status: CLOSED CURRENTRELEASE QA Contact: BaseOS QE <qe-baseos-auto>
Severity: high Docs Contact:
Priority: high    
Version: 5.6CC: aparanja, cward, dkovalsk, ebachalo, jjarvis, jtakahas, kmonroe, mnewsome, rlerch
Target Milestone: betaKeywords: FutureFeature, OtherQA, Rebase
Target Release: 5.6   
Hardware: ppc64   
OS: All   
Whiteboard:
Fixed In Version: Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-01 12:52:00 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 531800, 542541    

Description IBM Bug Proxy 2009-07-16 11:50:48 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[201968]
a. Name of Feature:	Update spu-tools with maintenance from upstream in RHEL5.5
b. Feature Description
Update the spu-tools package in RHEL5.5 to the latest level made available upstream at
http://sourceforge.net/projects/libspe .

2. Feature Details:
Sponsor:	QDC
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Backport
Category:	Cell
Request Type:	Package - Update Version
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	http://sourceforge.net/projects/libspe

3. Business Case
Include fixes and updates to the spu-tools package to provide optimal support for Cell in RHEL5.5.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com

Technical contact(s):
Hanns-Joachim Uhl, hannsj_uhl@de.ibm.com

Manager:
Christoph Arenz, arenz@de.ibm.com
Comment 2 John Jarvis 2009-10-12 09:31:59 EDT
IBM is signed up to test and provide feedback.
Comment 4 John Jarvis 2009-10-23 16:19:04 EDT
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.
Comment 5 IBM Bug Proxy 2010-01-05 11:31:17 EST
------- Comment From hannsj_uhl@de.ibm.com 2010-01-05 11:28 EDT-------
Hello Red Hat,
RHEL5.4 contains spu-tools on svn level 135 and therefore
please use the most current version 136 of the spu-tools package as  available/downloadable from
http://downloads.sourceforge.net/libspe/spu-tools-2.3.0.136.tar.gz?modtime=1233760712&big_mirror=0
for integration into RHEL5.5.
Please keep us informed in case of any questions.
Thanks for your support.
Comment 6 Petr Machata 2010-01-05 11:59:12 EST
That's what we already ship (digest from rpm changelog):

* Wed Mar  4 2009 Petr Machata - 2.3.0.135-1
- Rebase libspe to 2.3.0.135
- Rebase spu-tools to 2.3.0.136

The package still has a version of 135, because that's what the libspe source tarball is called.  But inside, we ship 136 of spu-tools.
Comment 7 IBM Bug Proxy 2010-01-14 05:50:36 EST
------- Comment From hannsj_uhl@de.ibm.com 2010-01-14 05:44 EDT-------
Hello Red Hat,
fyi .. we verified that the spu-tools package as contained in the RHEL5.5 build from 12/27/09
("spu-tools-2.3.0.135-3.el5.ppc.rpm                    2009-Jul-27 07:09     29.1k")
fulfills this RHEL5.5 feature request ...
Thanks for all your support.
Comment 11 John Jarvis 2010-01-14 11:44:14 EST
removing from 5.5 trackers since this is fulfilled for 5.5.
Comment 14 John Jarvis 2010-03-01 12:52:00 EST
Got confirmation from IBM this is not needed for 5.6